package com.uas.search.console.b2b.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 卖家应收对账单明细
 * 
 *
 */
@Table(name = "purc$apcheckitem")
@Entity
public class PurchaseApCheckItemSimpleInfo {

	@Id
	@Column(name = "pai_id")
	private Long id;

	/**
	 * 客户采购单号
	 */
	@Column(name = "pai_ordercode")
	private String orderCode;

	/**
	 * （客户）物料编号
	 */
	@Column(name = "pai_prodcode")
	private String prodCode;

	/**
	 * （客户）物料名称
	 */
	@Column(name = "pai_prodtitle")
	private String prodTitle;

	/**
	 * （客户）物料规格
	 */
	@Column(name = "pai_prodspec")
	private String prodSpec;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getOrderCode() {
		return orderCode;
	}

	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}

	public String getProdCode() {
		return prodCode;
	}

	public void setProdCode(String prodCode) {
		this.prodCode = prodCode;
	}

	public String getProdTitle() {
		return prodTitle;
	}

	public void setProdTitle(String prodTitle) {
		this.prodTitle = prodTitle;
	}

	public String getProdSpec() {
		return prodSpec;
	}

	public void setProdSpec(String prodSpec) {
		this.prodSpec = prodSpec;
	}

	@Override
	public String toString() {
		return "PurchaseApCheckItemSimpleInfo [id=" + id + ", orderCode=" + orderCode + ", prodCode=" + prodCode
				+ ", prodTitle=" + prodTitle + ", prodSpec=" + prodSpec + "]";
	}

}
